 
--
-- 优惠劵系统，（劵批次，劵规则，劵领取）=发劵，用劵，发劵规则（作废，归入优惠劵设置）
--

DROP TABLE IF EXISTS vs_coupon_batch;
CREATE TABLE vs_coupon_batch(
batch_id INT UNSIGNED AUTO_INCREMENT NOT NULL COMMENT '劵批次ID',
batch_name VARCHAR(200) NOT NULL COMMENT '劵批次名称',
coupon_name VARCHAR(200) NOT NULL COMMENT '劵名称',
coupon_pic VARCHAR(2000) NOT NULL COMMENT '劵图片',
coupon_showpic VARCHAR(2000) NOT NULL COMMENT '单独弹窗图片',
rule_id INT NOT NULL DEFAULT 0  COMMENT '规则ID',
total_count INT   NOT NULL DEFAULT 0  COMMENT '总数量',
send_count INT   NOT NULL DEFAULT 0  COMMENT '发放数量',
used_count INT   NOT NULL DEFAULT 0  COMMENT '已使用数量',
send_type INT   NOT NULL DEFAULT 0  COMMENT '投放方式：0系统触发（自动发放），1主动领取（需要用户领取）',
send_condition  INT   NOT NULL DEFAULT 0  COMMENT '发放条件：0无条件，注册会员，完成任务...',
send_obj  INT   NOT NULL DEFAULT 0  COMMENT '发放对象：0 普通用户，1-5会员等级',
send_way INT   NOT NULL DEFAULT 0  COMMENT '是否开放：0开放，内推',
send_status INT   NOT NULL DEFAULT 0  COMMENT '发放规状态，0禁用',
PRIMARY KEY (batch_id)
) ENGINE = innodb COMMENT '劵批次表'  DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS vs_coupon_rule;
CREATE TABLE vs_coupon_rule(
rule_id INT UNSIGNED AUTO_INCREMENT NOT NULL COMMENT '劵规则ID',
rule_name VARCHAR(200) NOT NULL COMMENT '劵规则名称',
rule_type INT   NOT NULL DEFAULT 0  COMMENT '规则类型，0满减，1折扣',
rule_content  VARCHAR(2000)   NULL  COMMENT '规则内容',
rule_status  INT   NOT NULL DEFAULT 1    NULL  COMMENT '状态1可用0禁用',
PRIMARY KEY (rule_id)
) ENGINE = innodb COMMENT '劵批次表'  DEFAULT CHARSET=utf8;
 
 --  规则内容

 -- {

 -- threshold: 5.01// 使用门槛

 -- amount: 5// 优惠金额

 -- use_range: 3// 使用范围，0—全场，1—商家，2—类别，3—商品

 -- commodity_id: 10// 商品 id（独立关联）

 -- receive_count: 1// 每个用户可以领取的数量

 -- is_mutex: true// 是否互斥，true 表示互斥，false 表示不互斥

 -- receive_started_at: 2020-11-1 00:08:00// 领取开始时间

 -- receive_ended_at: 2020-11-6 00:08:00// 领取结束时间

 -- use_started_at: 2020-11-1 00:00:00// 使用开始时间

 -- use_ended_at: 2020-11-11 11:59:59// 使用结束时间

 -- }
 
DROP TABLE IF EXISTS vs_coupon;
CREATE TABLE vs_coupon(
coupon_id INT UNSIGNED AUTO_INCREMENT NOT NULL COMMENT '劵ID',
coupon_status INT   NOT NULL DEFAULT 0  COMMENT '状态0未使用1已使用2已过期3冻结',
customer_id  INT   NOT NULL DEFAULT 0  COMMENT '用户ID',
batch_id  INT   NOT NULL DEFAULT 0  COMMENT '劵批次ID',
order_id INT   NOT NULL DEFAULT 0  COMMENT '订单ID',
received_time INT   NOT NULL DEFAULT 0  COMMENT '领取时间',
validate_time INT   NOT NULL DEFAULT 0  COMMENT '有效日期，只有在优惠卷规则是领取后有效天数才有效',
used_time INT   NOT NULL DEFAULT 0  COMMENT '使用时间',
PRIMARY KEY (coupon_id)
) ENGINE = innodb COMMENT '劵领用表'  DEFAULT CHARSET=utf8;



 -- DROP TABLE IF EXISTS vs_coupon_send;
 -- CREATE TABLE vs_coupon_send(
 -- send_id INT UNSIGNED AUTO_INCREMENT NOT NULL COMMENT '规则ID',
 -- send_type INT   NOT NULL DEFAULT 0  COMMENT '投放方式：0系统触发，主动领取',
 -- send_condition  INT   NOT NULL DEFAULT 0  COMMENT '发放条件：0无条件，注册会员，完成任务...',
 -- send_obj  INT   NOT NULL DEFAULT 0  COMMENT '发放对象：0全部，会员',
 -- send_way INT   NOT NULL DEFAULT 0  COMMENT '是否开放：0开放，内推',
 -- send_status INT   NOT NULL DEFAULT 0  COMMENT '发放规则状态，0禁用',
 -- PRIMARY KEY (send_id)
 -- ) ENGINE = innodb COMMENT '发劵规则'  DEFAULT CHARSET=utf8;