 
--
-- 分销系统：分销商表dt，分销类型mt,分销渠道产品ch,分销渠道订单cho
--
 
DROP TABLE IF EXISTS `fds_da_dt`;
CREATE TABLE `fds_da_dt`(
dt_uid INT NOT NULL  AUTO_INCREMENT COMMENT '分销商ID',
dt_fuid INT  NOT NULL COMMENT '分销商上级ID',
customer_id INT  NOT NULL COMMENT '分销商用户ID',
dt_name  VARCHAR(500)  NULL COMMENT '状态',
dt_tel  VARCHAR(500)   NULL COMMENT '电话',
dt_code  VARCHAR(500) NULL COMMENT '分销码',
dt_status INT  NOT NULL COMMENT '分销状态',
dt_bankname  VARCHAR(500) NULL COMMENT '绑定提现银行',
dt_bankno  VARCHAR(500) NULL COMMENT '绑定提现银行账号',
mt_id INT  NOT NULL  COMMENT '分销类型ID',
PRIMARY KEY (dt_uid)
)ENGINE = innodb COMMENT '分销商表' DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `fds_da_mt`;  
CREATE TABLE `fds_da_mt`(
mt_id INT UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '分销类型ID',
mt_title VARCHAR(500)   NOT NULL COMMENT '分销类型标题',
mt_paypercent INT   NOT NULL COMMENT '分销佣金比例',
PRIMARY KEY (mt_id)
)ENGINE = innodb COMMENT '分销类型' DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `fds_da_ch`;  
CREATE TABLE `fds_da_ch`(
ch_id INT UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '渠道商品ID',
ch_product_id INT   NOT NULL    COMMENT '关联商品ID',
ch_paytype INT   NOT NULL COMMENT '分佣类型0默认分销商佣金1指定佣金比例',
ch_paypercent INT   NOT NULL COMMENT '指定分销佣金比例',
ch_status INT   NOT NULL COMMENT '状态',
PRIMARY KEY (ch_id)
)ENGINE = innodb COMMENT '分销渠道产品' DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `fds_da_cho`;  
CREATE TABLE `fds_da_cho`(
cho_id INT UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '渠道订单ID',
cho_order_id INT   NOT NULL    COMMENT '渠道关联订单ID',
cho_product_id  INT   NOT NULL    COMMENT '关联商品ID',
cho_paytype INT   NOT NULL    COMMENT '渠道订单分佣类型0默认分销商佣金1指定佣金比例',
cho_paypercent INT   NOT NULL    COMMENT '渠道订单佣金比例',
cho_paystatus  INT   NOT NULL COMMENT '分佣状态，0未结算1已结算',
cho_pay INT   NOT NULL COMMENT '佣金',
cho_num INT   NOT NULL COMMENT '数量',
cho_allpay INT   NOT NULL COMMENT '单品总佣金',
dt_uid INT   NOT NULL COMMENT '分销商ID',
cho_time INT     NULL COMMENT '创建时间',
PRIMARY KEY (cho_id)
)ENGINE = innodb COMMENT '分销渠道订单' DEFAULT CHARSET=utf8;
 

 
 