 
--
-- 商品类：分类表，产品表，产品图片表，产品规格表 
--
 
DROP TABLE IF EXISTS vs_product_category;
CREATE TABLE vs_product_category(
category_id SMALLINT UNSIGNED AUTO_INCREMENT NOT NULL COMMENT '分类ID',
category_name VARCHAR(10) NOT NULL COMMENT '分类名称',
category_code VARCHAR(10) NOT NULL COMMENT '分类编码',
category_icon VARCHAR(200)   COMMENT '分类图标',
parent_id SMALLINT UNSIGNED NOT NULL DEFAULT 0 COMMENT '父分类ID',
category_level TINYINT NOT NULL DEFAULT 1 COMMENT '分类层级',
category_sort INT NOT NULL DEFAULT 50 COMMENT '排序默认值50',
category_status TINYINT NOT NULL DEFAULT 1 COMMENT '分类状态',
PRIMARY KEY  (category_id)
)ENGINE=innodb COMMENT '商品分类表' DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS vs_product_info; 
CREATE TABLE vs_product_info(
product_id INT UNSIGNED AUTO_INCREMENT NOT NULL COMMENT '商品ID',
product_core VARCHAR(16) NOT NULL COMMENT '商品编码',
product_name VARCHAR(20) NOT NULL COMMENT '商品名称',
bar_code VARCHAR(50) NOT NULL COMMENT '国条码',
one_category_id SMALLINT UNSIGNED NOT NULL COMMENT '一级分类ID',
two_category_id SMALLINT UNSIGNED NOT NULL COMMENT '二级分类ID',
three_category_id SMALLINT UNSIGNED NOT NULL COMMENT '三级分类ID',
price INT NOT NULL COMMENT '商品销售价格',
good_unit VARCHAR(200)  DEFAULT '瓶' COMMENT '商品销售价格',
publish_status TINYINT NOT NULL DEFAULT 0 COMMENT '上下架状态：0下架1上架',
audit_status TINYINT NOT NULL DEFAULT 0 COMMENT '审核状态：0未审核，1已审核',
descript TEXT NOT NULL COMMENT '商品描述',
link_kdb_content VARCHAR(5000)   NULL COMMENT '关联的开单本系统订单内容，用于开单,订单内容=产品ID，规格/批次ID，数量,订单价格，是否赠送改为折扣率1-100；',
indate INT  COMMENT '商品录入时间',
modified_time INT COMMENT '最后修改时间',
PRIMARY KEY (product_id)
) ENGINE = innodb COMMENT '商品信息表' DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS vs_product_pic_info; 
CREATE TABLE vs_product_pic_info(
product_pic_id INT UNSIGNED AUTO_INCREMENT NOT NULL COMMENT '商品图片ID',
product_id INT   NOT NULL COMMENT '商品ID',
pic_desc VARCHAR(50) COMMENT '图片描述',
pic_url VARCHAR(200) NOT NULL COMMENT '图片URL',
is_master TINYINT NOT NULL DEFAULT 0 COMMENT '是否主图：0.未定义1.主图2.轮播图3详情图',
pic_sort TINYINT NOT NULL DEFAULT 50 COMMENT '图片排序',
pic_status TINYINT NOT NULL DEFAULT 1 COMMENT '图片是否有效：0无效 1有效',
modified_time INT COMMENT '最后修改时间',
PRIMARY KEY (product_pic_id)
)ENGINE=innodb COMMENT '商品图片信息表'  DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS vs_product_type; 
CREATE TABLE vs_product_type(
product_type_id INT UNSIGNED AUTO_INCREMENT NOT NULL COMMENT '商品规格ID',
product_id INT NOT NULL  COMMENT '商品ID',
product_price INT NOT NULL DEFAULT 0  COMMENT '规格价格',
type_desc VARCHAR(200)   COMMENT '规格描述',
type_url VARCHAR(200)   COMMENT '规格图片URL',
is_default TINYINT NOT NULL DEFAULT 0 COMMENT '是否默认规格',
type_sort TINYINT NOT NULL DEFAULT 0 COMMENT '规格排序',
type_status TINYINT NOT NULL DEFAULT 1 COMMENT '是否有效：0无效 1有效',
modified_time TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '最后修改时间',
PRIMARY KEY (product_type_id)
)ENGINE=innodb COMMENT '商品规格信息表' DEFAULT CHARSET=utf8;
