 
--
-- 用户类：用户主表，会员等级表，用户地址表，用户积分表
--

DROP TABLE IF EXISTS vs_customer;
CREATE TABLE vs_customer(
customer_id INT UNSIGNED AUTO_INCREMENT NOT NULL COMMENT '用户ID',
sessionkey VARCHAR(200) NOT NULL COMMENT '会话',
wxname VARCHAR(200) NOT NULL COMMENT '用户登录名',
wxopenid  VARCHAR(100) NOT NULL COMMENT '微信用户openid',
wxupic  VARCHAR(100) NOT NULL COMMENT '用户头像',
user_stats TINYINT NOT NULL DEFAULT 1 COMMENT '用户状态',
customer_name VARCHAR(50) NOT NULL COMMENT '用户真实姓名',
mobile_phone VARCHAR(100)   COMMENT '手机号',
customer_email VARCHAR(50) COMMENT '邮箱',
gender CHAR(1) COMMENT '性别0未知1男2女',
vip INT NOT NULL DEFAULT 0 COMMENT 'VIP',
user_point INT NOT NULL DEFAULT 0 COMMENT '用户积分',
register_time TIMESTAMP NOT NULL COMMENT '注册时间',
birthday DATETIME COMMENT '会员生日',
customer_level TINYINT NOT NULL DEFAULT 1 COMMENT '会员级别：1 普通会员，2 青铜，3白银，4黄金，5钻石',
modified_time INT NOT NULL DEFAULT 1 COMMENT '最后修改时间',
PRIMARY KEY (customer_id)
) ENGINE = innodb COMMENT '用户信息表'  DEFAULT CHARSET=utf8;

 

DROP TABLE IF EXISTS vs_customer_level_inf;
CREATE TABLE vs_customer_level_inf(
customer_level_id TINYINT NOT NULL AUTO_INCREMENT COMMENT '会员级别ID',
level_name VARCHAR(10) NOT NULL COMMENT '会员级别名称',
min_point INT UNSIGNED NOT NULL DEFAULT 0 COMMENT '该级别最低积分',
max_point INT   NOT NULL DEFAULT 0 COMMENT '该级别最高积分',
PRIMARY KEY  (customer_level_id)
) ENGINE = innodb COMMENT '用户级别信息表';

DROP TABLE IF EXISTS vs_customer_addr; 
CREATE TABLE vs_customer_addr(
customer_addr_id INT UNSIGNED AUTO_INCREMENT NOT NULL COMMENT '自增主键ID',
customer_id INT UNSIGNED NOT NULL COMMENT 'vs_customer表ID',
zip SMALLINT NOT NULL COMMENT '邮编',
province VARCHAR(100) NOT NULL COMMENT '地区表中省份的ID',
city VARCHAR(100) NOT NULL COMMENT '地区表中城市的ID',
district VARCHAR(100) NOT NULL COMMENT '地区表中的区ID',
address VARCHAR(200) NOT NULL COMMENT '具体的地址门牌号',
contactor VARCHAR(200) NOT NULL COMMENT '收货人',
uphone VARCHAR(200) NOT NULL COMMENT '收货人电话',
is_default TINYINT NOT NULL COMMENT '是否默认',
addr_status TINYINT NOT NULL DEFAULT 1 COMMENT '有效状态',
modified_time  INT   NOT NULL DEFAULT 0 COMMENT '最后修改时间',
PRIMARY KEY (customer_addr_id)
) ENGINE = innodb COMMENT '用户地址表';

DROP TABLE IF EXISTS vs_customer_point_log;  
CREATE TABLE vs_customer_point_log(
point_id INT   NOT NULL AUTO_INCREMENT COMMENT '积分日志ID',
customer_id INT   NOT NULL COMMENT '用户ID',
source TINYINT   NOT NULL COMMENT '积分来源：0订单，1登陆，2活动，3消费',
refer_number VARCHAR(200) NOT NULL COMMENT '积分来源相关编号',
change_point SMALLINT NOT NULL DEFAULT 0 COMMENT '变更积分数',
change_type  SMALLINT NOT NULL DEFAULT 1 COMMENT '1增加2减少',
create_time  INT   NOT NULL DEFAULT 0  COMMENT '积分日志生成时间',
PRIMARY KEY (point_id)
) ENGINE = innodb COMMENT '用户积分日志表';
