 
--
-- 订单类：订单主表，订单明细表,支付流水表（pay_flow）
--
 
DROP TABLE IF EXISTS `vs_order_master`;
CREATE TABLE `vs_order_master`(
order_id INT NOT NULL  AUTO_INCREMENT COMMENT '订单ID',
order_sn INT  NOT NULL COMMENT '订单编号',
customer_id INT  NOT NULL COMMENT '下单人ID',
shipping_user VARCHAR(100)  COMMENT '收货人姓名',
shipping_tel VARCHAR(100)  COMMENT '收货人电话',
province VARCHAR(100)   DEFAULT 0 COMMENT '省',
city VARCHAR(100)  DEFAULT 0 COMMENT '市',
district VARCHAR(200)   DEFAULT 0  COMMENT '区',
address VARCHAR(500)   COMMENT '地址',
payment_method INT NOT NULL  DEFAULT 0  COMMENT '支付方式：0微信,1现金，2余额，3积分',
order_money INT NOT NULL DEFAULT 0  COMMENT '订单金额',
district_money INT NOT NULL DEFAULT 0  COMMENT '优惠金额',
shipping_money INT NOT NULL DEFAULT 0  COMMENT '运费金额',
payment_money INT NOT NULL DEFAULT 0  COMMENT '支付金额',
cg_id INT NOT NULL DEFAULT 0  COMMENT '优惠劵领取记录ID',
shipping_comp_name VARCHAR(10) COMMENT '快递公司名称SF,DB,JD,EMS',
shipping_sn VARCHAR(100) COMMENT '快递单号',
shipping_uid INT NOT NULL DEFAULT   0  COMMENT '发货人0默认管理员',
create_time INT NOT NULL DEFAULT   0 COMMENT '下单时间',
shipping_time INT NOT NULL DEFAULT 0 COMMENT '发货时间',
pay_time  INT NOT NULL DEFAULT 0   COMMENT  '支付时间',
receive_time INT NOT NULL DEFAULT 0 COMMENT '收货时间',
pay_status INT NOT NULL DEFAULT 0 COMMENT '付款状态，0未付款1已付款-1已退款',
order_status INT NOT NULL DEFAULT 0 COMMENT '订单状态，0待付款1待发货2待收货3已完成4待售后5已处理售后-1用户取消-2系统取消',
order_point INT   NOT NULL DEFAULT 0 COMMENT '订单积分',
modified_time INT NOT NULL DEFAULT 0 COMMENT '最后修改时间',
PRIMARY KEY (order_id)
)ENGINE = innodb COMMENT '订单主表' DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `vs_order_detail`;  
CREATE TABLE `vs_order_detail`(
order_detail_id INT UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '订单详情表ID',
order_id INT   NOT NULL COMMENT '订单表ID',
product_id INT   NOT NULL COMMENT '订单商品ID',
product_name VARCHAR(50) NOT NULL COMMENT '商品名称',
product_pic_url INT NOT NULL DEFAULT 0  COMMENT '商品图片ID,订单产品快照',
product_type_id INT NOT NULL DEFAULT 0 COMMENT '购买商品规格ID',
product_cnt INT NOT NULL DEFAULT 1 COMMENT '购买商品数量',
product_price INT NOT NULL DEFAULT 0  COMMENT '购买商品单价',
weight FLOAT COMMENT '商品重量',
fee_money INT NOT NULL DEFAULT 0  COMMENT '优惠分摊金额',
modified_time INT NOT NULL DEFAULT 0  COMMENT '最后修改时间',
PRIMARY KEY (order_detail_id)
)ENGINE = innodb COMMENT '订单详情表' DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS vs_pay_flow;  
CREATE TABLE vs_pay_flow(
pay_flow_id INT UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '支付流水表ID',
order_id INT  NOT NULL COMMENT '订单表ID',
order_sn INT UNSIGNED NOT NULL COMMENT '订单编号',
pay_money INT UNSIGNED NOT NULL COMMENT '金额',
payment_method INT NOT NULL DEFAULT 0 COMMENT '支付方式：0微信，1现金，2余额 ',
pay_wxsn VARCHAR(50) NOT NULL COMMENT '微信支付编号 ',
flow_type INT NOT NULL DEFAULT 1 COMMENT '0充值流入，1支付流入，2退款流出，3提现流出',
modified_time INT NOT NULL DEFAULT 0 COMMENT '最后修改时间',
PRIMARY KEY (pay_flow_id)
)ENGINE = innodb COMMENT '支付流水表' DEFAULT CHARSET=utf8;
