 
--
-- 资讯类：资讯表，资讯栏目表，资讯内容表
--
 
DROP TABLE IF EXISTS vs_news;
CREATE TABLE vs_news(
news_id INT UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '资讯ID',
news_title VARCHAR(1000) COMMENT '标题',
news_info  VARCHAR(2000) COMMENT '简介',
news_litpic  VARCHAR(500) COMMENT '缩略图',
newscate_id  INT  DEFAULT 0  COMMENT '栏目ID',
news_status  TINYINT  DEFAULT 0  COMMENT '状态0禁用1启用',
news_sort  INT  DEFAULT 100  COMMENT '权重排序，小靠前',
news_showtype   TINYINT   DEFAULT 0  COMMENT ' 0小图1大图，保留字段',
modified_time  INT   DEFAULT 0 COMMENT '最后修改时间',
PRIMARY KEY (news_id)
) ENGINE = innodb COMMENT '资讯表' DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS vs_newscate;
CREATE TABLE vs_newscate(
newscate_id INT UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '栏目ID',
newscate_title VARCHAR(500) COMMENT '栏目标题',
newscate_picurl VARCHAR(500) COMMENT '栏目图片',
newscate_fid  INT  DEFAULT 0  COMMENT '父级ID',
newscate_sort  INT  DEFAULT 100  COMMENT '权重排序，小靠前',
newscate_show   TINYINT DEFAULT 1  COMMENT ' 0不显示1显示',
PRIMARY KEY (newscate_id)
) ENGINE = innodb COMMENT '资讯栏目表' DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS vs_newscontent;
CREATE TABLE vs_newscontent(
newscont_id INT UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '栏目ID',
news_id   INT  DEFAULT 0  COMMENT ' 关联资讯ID，0无关联',
newscont_txt VARCHAR(3000) COMMENT '文字内容',
newscont_picurl VARCHAR(3000) COMMENT '图片内容URL',
newscont_videourl VARCHAR(3000) COMMENT '视频内容URL',
newscont_linkid  INT  DEFAULT 0  COMMENT '0不关联，关联产品ID，点击跳转',
newscont_sort  INT  DEFAULT 100  COMMENT '权重排序，小靠前',
newscont_showtype   TINYINT   DEFAULT 0  COMMENT ' 0文字1图片2视频3跳转产品的缩略图',
newscont_show   TINYINT   DEFAULT 1  COMMENT ' 0不显示1显示',
PRIMARY KEY (newscont_id)
) ENGINE = innodb COMMENT '资讯内容表' DEFAULT CHARSET=utf8;